<?php

require_once __DIR__.'/vendor/autoload.php'; 
require_once("lib/Stripe.php");
require_once("config/stripe.php");

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\ParameterBag;

$app = new Silex\Application(); 

$app->before(function (Request $request) {
    if (0 === strpos($request->headers->get('Content-Type'), 'application/json')) {
        $data = json_decode($request->getContent(), true);
        $request->request->replace(is_array($data) ? $data : array());
    }
});

$app->post('/webhook', function(Request $request) use($app) { 
    if ($request->request->get('object') == "event") {
        switch($request->request->get('type'))
        {
            case ('charge.succeeded'):
            case ('charge.failed'):
            case ('invoice.created'):
            case ('plan.created'):
            case ('plan.updated'):
            case ('coupon.created'):
                mail(
                    'matthew@maltblue.com',
                    'Webhook Feedback',
                    json_encode($request->request->all())
                );
        }
    }
    return $app->json("ok", 201);
}); 

$app->run(); 